# $Revision: 1.13 $, $Date: 2011/09/01 17:05:07 $
%define		shortname	task
Summary:	Taskwarrior is a command-line to do list manager
Summary(hu.UTF-8):	Taskwarrior egy parancssoros ToDo-kezelő
Summary(pl.UTF-8):	Taskwarrior - konsolowy manadżer rzeczy do zrobienia
Name:		taskwarrior
Version:	1.9.4
Release:	2
License:	GPL v2+
Group:		Applications
Source0:	http://www.taskwarrior.org/download/%{shortname}-%{version}.tar.gz
# Source0-md5:	0c5d9dedb1ead69590af895d16708070
Patch0:		%{name}-flags.patch
URL:		http://taskwarrior.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define bashdir	%{_sysconfdir}/bash_completion.d
%define vimdir %{_datadir}/vim/vimfiles
%define zshdir %{_datadir}/zsh/site-functions

%description
Taskwarrior is an ambitious project to supercharge task (most
excellent CLI task manager by Paul Beckingham) with an interactive
interface, a powerful search tool, hotkeys, forms data entry, and a
host of new features.

%description -l hu.UTF-8
Taskwarrior egy törekvő project, amely a task-ot bővíti ki (a legjobb
CLI feladatkezelő Paul Beckingham-től) egy interaktív felületettel,
hatékony kereső eszközzel, hotkey-ekkel, űrlapokkal és új lehetőségek
tömegeivel.

%description -l pl.UTF-8
Taskwarrior jest ambitnym projektem mającym na celu ulepszenie
programu task (najlepszego konsolowego menadżera zadań stworzonego
przez Paula Beckinghama) poprzez dodanie interaktywnego interfejsu,
potężnej wyszukiwarki, skrótów klawiszowych, formularzy wprowadzania
danych i wielu innych ulepszeń.

%package -n bash-completion-taskwarrior
Summary:	bash-completion for taskwarrior
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla taskwarriora
Group:		Applications/Shells
Requires:	bash-completion
Requires:	%{name} = %{version}-%{release}

%description -n bash-completion-taskwarrior
bash-completion for taskwarrior.

%description -n bash-completion-taskwarrior -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla taskwarriora.

%package -n vim-syntax-taskwarrior
Summary:	Vim-syntax: taskwarrior
Summary(pl.UTF-8):	Składnia dla Vima: taskwarrior
Group:		Applications/Editors/Vim
Requires:	%{name} = %{version}-%{release}

%description -n vim-syntax-taskwarrior
Vim-syntax: taskwarrior.

%description -n vim-syntax-taskwarrior -l pl.UTF-8
Ta wtyczka dostarcza podświetlanie składni dla taskwarriora.

%package -n zsh-completion-taskwarrior
Summary:	zsh-completion for taskwarrior
Summary(pl.UTF-8):	Uzupełnianie nazw w zsh dla taskwarriora
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}

%description -n zsh-completion-taskwarrior
zsh-completion for taskwarrior.

%description -n zsh-completion-taskwarrior -l pl.UTF-8
Pakiet ten dostarcza funkcje uzupełniania nazw powłoki zsh dla
taskwarriora.

%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}/%{shortname}

install -d $RPM_BUILD_ROOT{%{bashdir},%{zshdir}}
install -p scripts/bash/task_completion.sh $RPM_BUILD_ROOT%{bashdir}
install -p scripts/zsh/_task $RPM_BUILD_ROOT%{zshdir}

install -d $RPM_BUILD_ROOT%{vimdir}/{ftdetect,syntax}
for dir in ftdetect syntax; do
	install -d $RPM_BUILD_ROOT%{vimdir}/$dir
	install -p scripts/vim/$dir/* $RPM_BUILD_ROOT%{vimdir}/$dir
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README i18n doc/rc
%attr(755,root,root) %{_bindir}/%{shortname}
%{_mandir}/man1/*1*
%{_mandir}/man5/*5*

%files -n bash-completion-taskwarrior
%defattr(644,root,root,755)
%{bashdir}/task_completion.sh

%files -n vim-syntax-taskwarrior
%defattr(644,root,root,755)
%{vimdir}/ftdetect/*.vim
%{vimdir}/syntax/*.vim

%files -n zsh-completion-taskwarrior
%defattr(644,root,root,755)
%{zshdir}/_task

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: taskwarrior.spec,v $
Revision 1.13  2011/09/01 17:05:07  arekm
- release 2

Revision 1.12  2011/07/19 20:54:09  atler
- removed obsolete ncurses dependency

Revision 1.11  2011/03/07 08:48:52  uzsolt
- 1.9.4
- remove patch1

Revision 1.10  2011/02/11 12:38:07  uzsolt
- R bash-completion

Revision 1.9  2010/11/10 09:53:59  lisu
- updated to 1.9.3
- DEVEL merge
- pl fix

Revision 1.8.2.3  2010/10/28 13:37:56  atler
- add zsh completion subpackage
- fix bash completion
- cosmetics

Revision 1.8.2.2  2010/10/28 08:44:32  lisu
- up to 1.9.3.beta2
- pl fix

Revision 1.8.2.1  2010/10/19 10:39:17  lisu
- up to 1.9.3.beta1

Revision 1.8  2010/07/19 09:17:25  lisu
- pl

Revision 1.7  2010/07/19 09:06:12  lisu
- install bash_completiion file to proper place

Revision 1.6  2010/07/19 08:14:56  lisu
- fix linking (-tinfo.patch)
- ncurses-devel -> ncurses-ext-devel (some libraries from ncurses-ext-devel are required for linking)

Revision 1.5  2010/07/19 07:01:37  uzsolt
- 1.9.2
- fix ncurses inc/lib (using pkg-config)
- rel 0.9 (does not build)

Revision 1.4  2010/05/25 12:31:13  uzsolt
- 1.9.1

Revision 1.3  2010/02/27 18:42:58  uzsolt
- rel 1 (works for me)

Revision 1.2  2010/02/25 18:24:37  sparky
- BR: libstdc++-devel
- missing %defattr

Revision 1.1  2010/02/23 19:08:34  uzsolt
- initial

